<section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <h5>Notification</h5>
        </ul>
        <div class="card">
            <div class="card-body">
                <div class="card">
                    <div class="card-header">
                        Notification mangement
                    </div>
                    <div class="card-body">

                        <ul class="nav nav-tabs" id="myTab" role="tablist">
                            <li class="nav-item" role="presentation">
                                <a class="nav-link active" id="notification-tab" data-toggle="tab" href="#notification"
                                    role="tab" aria-controls="notification" aria-selected="true">Notification</a>
                            </li>
                            <li class="nav-item" role="presentation">
                                <a class="nav-link" id="popup-tab" data-toggle="tab" href="#popup" role="tab"
                                    aria-controls="popup" aria-selected="false">Popup</a>
                            </li>

                        </ul>
                        <div class="tab-content" id="myTabContent">
                            <div class="tab-pane fade show active" id="notification" role="tabpanel"
                                aria-labelledby="notification-tab">
                                <div class="row mt-4">
                                    <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                                        <div class="d-flex flex-row bd-highlight mb-3">
                                            <div class="p-2 bd-highlight">

                                                <!-- <button routerLink = "add-notification" class="btn btnclrs adduser" tabindex="0">
                                                    <i class="fa fa-plus-circle pr-1"></i>
                                                    Add Notification
                                                </button> -->
                                            </div>
                                        </div>
                                    </div>
                                    <div class="d-flex bd-highlight col-7 col-sm-7 col-md-3 col-lg-3 ml-auto">
                                        <div class="p-2 flex-fill bd-highlight">

                                            <div class="form-group">
                                                <div class="input-group">
                                                    <input type="text" class="form-control" placeholder="Search"
                                                        type="text" [(ngModel)]="searchText">
                                                    <div class="input-group-append">
                                                        <span class="input-group-text btnclrs">
                                                            <i class="fa fa-search"></i>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="p-2 flex-fill bd-highlight">
                                            <button class="btn excelbtn" data-placement="left" data-toggle="tooltio"
                                                title="Excel">
                                                <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                                            </button>
                                        </div>

                                    </div>

                                </div>
                                <hr>
                                <table class="table table-striped table-bordered">
                                    <thead>
                                        <tr>
                                            <th scope="col">Sl.No</th>
                                            <!-- <th scope="col">Module Id</th> -->
                                            <th scope="col">Module Name</th>
                                            <th scope="col">Text</th>
                                            <th scope="col">Enable/Disable</th>
                                            <th scope="col">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr
                                            *ngFor="let notif of notifications| filter:searchText| paginate: { id:'pagination1' , itemsPerPage: 15, currentPage: p };let i=index">
                                            <td *ngIf="p>1">{{((p-1)*15)+(i+1)}}</td>
                                            <th *ngIf="p===1">{{i+1}}</th>
                                            <!-- <td>{{notif.moduleid}}</td> -->
                                            <td>{{notif.name}}</td>
                                            <td>{{notif.description}}</td>
                                            <td>
                                                <ui-switch [(ngModel)]="notif.status"></ui-switch>
                                            </td>
                                            <td>
                                                <a class="btn edit" (click)="openUpdateModal(notif)">
                                                    <i class="fa fa-pencil" aria-hidden="true"></i>
                                                </a>

                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                                <div class="text-center">
                                    <pagination-controls id="pagination1"  (pageChange)="p = $event"></pagination-controls>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="popup" role="tabpanel" aria-labelledby="popup-tab">
                                <div class="row mt-4">
                                    <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                                        <div class="d-flex flex-row bd-highlight mb-3">
                                            <div class="p-2 bd-highlight">

                                                <!-- <button routerLink = "add-notification" class="btn btnclrs adduser" tabindex="0">
                                                    <i class="fa fa-plus-circle pr-1"></i>
                                                    Add PopUp
                                                </button> -->
                                            </div>
                                        </div>
                                    </div>
                                    <div class="d-flex bd-highlight col-7 col-sm-7 col-md-3 col-lg-3 ml-auto">
                                        <div class="p-2 flex-fill bd-highlight">

                                            <div class="form-group">
                                                <div class="input-group">
                                                    <input type="text" class="form-control" placeholder="Search"
                                                        type="text" [(ngModel)]="searchText">
                                                    <div class="input-group-append">
                                                        <span class="input-group-text btnclrs">
                                                            <i class="fa fa-search"></i>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="p-2 flex-fill bd-highlight">
                                            <button class="btn excelbtn" data-placement="left" data-toggle="tooltio"
                                                title="Excel">
                                                <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                                            </button>
                                        </div>

                                    </div>

                                </div>
                                <hr>
                                <div class="table-responsive-sm">
                                    <table class="table table-striped table-bordered">
                                        <thead>
                                            <tr>
                                                <th scope="col">Sl.No</th>
                                                <th scope="col">Module Name</th>
                                                <th scope="col">Text</th>
                                                <th scope="col">Enable/Disable</th>
                                                <th scope="col">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr
                                                *ngFor="let popup of popups | filter:searchText | paginate: { id: 'pagination2', itemsPerPage: 15, currentPage: p }; let i = index">
                                                <td *ngIf="p>1">{{((p-1)*15)+(i+1)}}</td>
                                                <th *ngIf="p===1">{{i+1}}</th>
                                                <td>{{popup.name}}</td>
                                                <td>{{popup.description}}</td>
                                                <td>
                                                    <ui-switch [(ngModel)]="popup.status"></ui-switch>
                                                </td>
                                                <td>
                                                   
                                                    <a class="btn edit" (click)="openPopModal(popup)">
                                                        <i class="fa fa-pencil" aria-hidden="true"></i>
                                                    </a>

                                                </td>
                                            </tr>

                                        </tbody>
                                    </table>
                                    <div class="text-center">
                                        <pagination-controls id="pagination2"  (pageChange)="p = $event"></pagination-controls>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</section>

<!-- Notification Modal -->
<div class="modal fade" id="updateModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Update Notification Description</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form [formGroup]="updateNotificationForm" (ngSubmit)="onSubmitUpdateData()">
                    <input type="hidden" formControlName="id">
                    <div class="form-group">
                        <label for="">ID</label>
                        <input type="text" class="form-control" placeholder="ID" formControlName="moduleid" readonly>
                    </div>
                    <div class="form-group">
                        <label for="">Name</label>
                        <input type="text" class="form-control" placeholder="Name" formControlName="name" readonly>
                    </div>
                    <div class="form-group">
                        <label for="exampleFormControlTextarea1">Description</label>
                        <textarea class="form-control" id="exampleFormControlTextarea1" rows="3"
                            formControlName="description" placeholder="Description"></textarea>
                    </div>
                    <div class="form-group">
                        <label for="">Status:</label>
                        <select class="form-control" formControlName="status">
                            <option value="1">Active</option>
                            <option value="0">Inactive</option>
                        </select>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-success float-right" id="submitModal">Submit</button>
                    </div>

                </form>
            </div>

        </div>
    </div>
</div>


<!-- // POp up Modal  -->

<div class="modal fade" id="updatePopUpModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Update PopUp Description</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form [formGroup]="updatePopUpForm" (ngSubmit)="onSubmitPopupData()">
                    <input type="hidden" formControlName="id">
                    <div class="form-group">
                        <label for="">ID</label>
                        <input type="text" class="form-control" placeholder="ID" formControlName="moduleid" readonly>
                    </div>
                    <div class="form-group">
                        <label for="">Name</label>
                        <input type="text" class="form-control" placeholder="Name" formControlName="name" readonly>
                    </div>
                    <div class="form-group">
                        <label for="exampleFormControlTextarea1">Description</label>
                        <textarea class="form-control" id="exampleFormControlTextarea1" rows="3"
                            formControlName="description" placeholder="Description"></textarea>
                    </div>
                    <div class="form-group">
                        <label for="">Status:</label>
                        <select class="form-control" formControlName="status">
                            <option value="1">Active</option>
                            <option value="0">Inactive</option>
                        </select>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-success float-right" id="submitpopupModal">Submit</button>
                    </div>

                </form>
            </div>

        </div>
    </div>
</div>